> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://en.megaport.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://en.megaport.ferndocs.com/_mcp/server.

# Company Activity Names

GET https://api.megaport.com/v3/companyActivityNames

Returns a list of activity names for the company of the logged-in user, in alphabetical order.

A Company Admin user can retrieve the names of the activities that have been performed company-wide using this request.

For a full list of the activities that are recorded, see [What information is logged](https://docs.megaport.com/portal-admin/activity-logs/#what-information-is-logged).

### **Who can view activities?**

Users with the Company Admin role can retrieve all of the activities of the company the user belongs to using this request. However, the same request for a user without the Company Admin role will return an error with the message _"Missing the_ _required permission \[company_admin\]"_. The same result is returned if a Company Admin attempts to access a different companies' activities.

Reference: https://en.megaport.ferndocs.com/api-reference/activity-logs/company-activity-names

## Servers

- `https://api.megaport.com` (Production environment, default)
- `https://api-staging.megaport.com` (Staging environment (test only, reset every 24 hours))

## Response

### 200

Company Activity Names / Company Activity Names

- `data` (list of string, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    "Failed Login",
    "Login",
    "Logout",
    "New API Order",
    "New API Order Validation",
    "New Opportunity",
    "Notification Preferences Updated",
    "Packet Filter List Created",
    "Prefix Filter List Created",
    "Service key added successfully",
    "Service Locked",
    "Service Unlocked",
    "Service Updated",
    "Signup/Login with Google",
    "Signup/Login with IDP",
    "Tags Updated",
    "Update Employee"
  ],
  "message": "List of company activity names",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v3/companyActivityNames"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v3/companyActivityNames';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v3/companyActivityNames"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v3/companyActivityNames")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v3/companyActivityNames")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v3/companyActivityNames');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v3/companyActivityNames");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v3/companyActivityNames")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```